use xbasic::xbasic::XBasic;

mod common;

#[test]
fn order_of_operations_1() {
	let mut tio = common::TestIO::new("23\n");
	{
		let mut xb = XBasic::new(&mut tio);
		xb.run("print 3 + 4 * 5\n").unwrap();
	}
	tio.check();
}

#[test]
fn order_of_operations_2() {
	let mut tio = common::TestIO::new("35\n");
	{
		let mut xb = XBasic::new(&mut tio);
		xb.run("print (3 + 4) * 5\n").unwrap();
	}
	tio.check();
}
